
// Remove the "//" in the following line if you want to use UTF-8
//#define USE_UTF8

// Remove the "//" in the following line if you want to use an editor
// widget. The new QTextEdit will be used in Qt 3 or a QMultiLineEdit
// if you compile it against Qt 2.
#define USE_EDITOR

#include <qapplication.h>
#include <qtextbrowser.h>
#include <qlabel.h>
#include <qtextcodec.h>
#include <qfont.h>

#ifdef USE_EDITOR
#if QT_VERSION >= 300
#include <qtextedit.h> // This widget doesn't exist in Qt 2!
#else
#include <qmultilineedit.h>
#endif
#endif


int main( int argc, char *argv[] ) {

	QApplication a( argc, argv );
#if QT_VERSION >= 300
	QApplication::setStyle( "Windows" );
#endif

#ifdef USE_EDITOR
#if QT_VERSION >= 300
	QTextEdit * window = new QTextEdit(0);
#else
	QMultiLineEdit * window = new QMultiLineEdit(0);
#endif
#else
	QTextBrowser * window = new QTextBrowser(0);
	//QLabel * window = new QLabel(0);
#endif

#ifdef USE_UTF8
	// The following string is in UTF-8
	QCString text= "טנרטניאהמ דירוהל ןתינש XINU תמאות םיישיא םיבשחמל הלעפה תכרעמ, סקוניל";
	QTextCodec * codec = QTextCodec::codecForName("UTF-8");
#else
	// The following string is in ISO 8859-8
	QCString text= "   XINU     , ";
	//text = "\0x202b" + text + "\0x202c";
	//Change the "ISO 8859-8-I" for "ISO 8859-8" if you want
	QTextCodec * codec = QTextCodec::codecForName("ISO 8859-8-I");
#endif

	// Now the string is converted to Unicode
	QString hebrew_text = codec->toUnicode( text );
	//hebrew_text = "\0x202b" + hebrew_text + "\0x202c";

	// We select a font which can display hebrew
	QFont font("etl-fixed", 16 );
#if QT_VERSION < 300
	font.setCharSet( QFont::ISO_8859_8 );
#endif

	window->setFont(font);
	window->setText( hebrew_text );
	window->show();

	a.connect( &a, SIGNAL(lastWindowClosed()), &a, SLOT(quit()) );
	return a.exec();
}

